Package org.apache.sling.testing.clients.util.config

# Interface InstanceConfigCache

All Superinterfaces:
  `Collection<InstanceConfig>`, `InstanceConfig`, `Iterable<InstanceConfig>`

public interface InstanceConfigCache extends InstanceConfig, Collection<InstanceConfig>
A cache for different `InstanceConfig` objects

## Method Summary

### Methods inherited from interface java.util.Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

### Methods inherited from interface org.apache.sling.testing.clients.util.config.InstanceConfig

`restore, save`

### Methods inherited from interface java.lang.Iterable

`forEach`